Gajim - 2020-05-19


  1. wurstsalat lockywolf: you can set that per group chat in the group chat menu: Show/hide join messages
  2. lockywolf https://jabber.ru/upload/91ca5239d4574f6ad0824c9ffe50ff64d7c03eae/0q0IBrsOAp0P1KVbCuMHKxJHtzOGPjDh8HjIpZic/u5Msge27TAWbQkev0-IMYw.jpg
  3. lockywolf > lockywolf: you can set that per group chat in the group chat menu: Show/hide join messages I don't see this option
  4. wurstsalat lockywolf: which version is that?
  5. wurstsalat maybe there is a setting in preferences, I don't remember. last resort would be checking for a setting in gajim's advanced config editor (preferences > advanced, search for join)
  6. lockywolf wurstsalat: A GTK+ XMPP client GTK+ Version: 3.24.20 PyGObject Version: 3.36.1 python-nbxmpp Version: 0.6.10
  7. lockywolf 1.1.3
  8. lockywolf https://jabber.ru/upload/91ca5239d4574f6ad0824c9ffe50ff64d7c03eae/yZQzNdLCefW9IqlNyGJAzrnWraqwYymwkJKqUVfZ/ky1s1MULSpyeE9IYaSGeRg.jpg
  9. lockywolf > maybe there is a setting in preferences, I don't remember. last resort would be checking for a setting in gajim's advanced config editor (preferences > advanced, search for join) Don't seem to see it
  10. wurstsalat lockywolf, print_status_in_muc
  11. debacle When I get a subscription request, I like to be able to copy and paste the contacts JID. However, the dialog in 1.1.2 does not allow text selection on the JID. Is there a workaround for that? Or maybe it is better in master/1.2?
  12. debacle https://xmpp.debian.org:5281/upload/b-HGTfBK3brrFswn/dialog.png
  13. marmistrz Hi, after pulling the changes from master, I can't install plugins anymore:
  14. marmistrz Traceback (most recent call last): File "/home/marcin/.local/share/gajim/plugins/plugin_installer/plugin_installer.py", line 111, in _on_check_for_updates_finished if plugin.needs_update(): File "/home/marcin/.local/share/gajim/plugins/plugin_installer/utils.py", line 121, in needs_update return self.installed_version < self.version TypeError: '<' not supported between instances of 'str' and 'Version'
  15. marmistrz Probably the API changed. I'm using the latest dev plugin installer. What's the easiest way to update all the plugins so that I can use them back again? (I don't want to lose my OMEMO keys)
  16. wurstsalat marmistrz, if you pulled gajim master, you should pull gajim-plugins master as well
  17. marmistrz wurstsalat, the plugin were installed using plugin-installer, I have never used gajim-plugins directly from git. I'm currently stuck with the git version, because running the git version of gajim migrated the configs and 1.1.3 won't run again :)
  18. wurstsalat marmistrz, you can get the latest plugin installer on ftp.gajim.org
  19. marmistrz wurstsalat, I already have the latest plugin installer.
  20. marmistrz It doesn't show any plugins installed or available, because of the type mismatch (as above)
  21. wurstsalat hannibal, ^
  22. bot Daniel Brötzmann created an issue in _gajim_ < https://dev.gajim.org/gajim/gajim/-/issues/10114 >: #10114: < Unsubscribed dialog throws string mapping error >
  23. wurstsalat debacle, yes, that dialog looks completely different in 1.2. there, you can even query the contact’s vCard
  24. hannibal It seems distutils was more tolerant
  25. debacle wurstsalat, I believe queriying the vcard is already possible on 1.1.x, but I did not find the JID in there for copying. Anyway, good that this has been improved, too!
  26. wurstsalat debacle, shouldn’t be an issue in 1.2
  27. debacle Btw. it would be nice to have a shortcut from subscription request to blocking list. 3/4 of subscription requests are spam, so a shortcut "add this JID/domain to the blocking list" would be super-cool.
  28. debacle Btw. it would be nice to have a shortcut from subscription request to blocking list. > 3/4 of my subscription requests are spam, so a shortcut "add this JID/domain to the blocking list" would be super-cool.
  29. wurstsalat debacle, can you please add an issue for that? :)
  30. debacle yes, will do! wurstsalat (reminder to myself: actually do it, when coming home, instead of sleeping immediately)
  31. hannibal marmistrz: in utils.py of plugin_installer, can you replace 'plugin.version' by 'V(plugin.version)' and test if that fixes the issue
  32. hannibal Line 113 might also need V()
  33. nico I was wondering why my Windows Gajim beta displays all received messages twice? I assume thats not intentonal right?
  34. wurstsalat nico, totally intentional. do you have logs? I guess XML console logs would be sufficient
  35. nico > totally intentional. do you have logs? I guess XML console logs would be sufficient I though so too 😀 I could supply you with logs when I am home.
  36. marmistrz hannibal, V(plugin.version) does the trick, thanks!
  37. bot Yann Leboulanger closed an issue in _gajim_ < https://dev.gajim.org/gajim/gajim/-/issues/10114 >: #10114: < Unsubscribed dialog throws string mapping error >
  38. bot Yann Leboulanger pushed 1 commit to branch _refs/heads/master_ of _gajim_ < https://dev.gajim.org/gajim/gajim >: *50253f80* < https://dev.gajim.org/gajim/gajim/-/commit/50253f808ad10119538b8049d16a2576efc3d921 > fix strings. Fixes #10114
  39. bot Yann Leboulanger pushed 1 commit to branch _refs/heads/gajim_1.2_ of _gajim_ < https://dev.gajim.org/gajim/gajim >: *e415869f* < https://dev.gajim.org/gajim/gajim/-/commit/e415869f9fecc5586115388fe51e9f781b9a909a > fix strings. Fixes #10114
  40. CryptOwl Any idea why a friend of mine cannot send OMEMO encrypted messages via Gajim to a few clients despite the relevant keys are being trusted? I cannot decrypt his messages in my Dino (latest version), now another friend cannot decrypt his messages either, target client us Gajim this time.
  41. CryptOwl What should we do to troubleshoot this?
  42. wurstsalat CryptOwl, what does the error message say?
  43. CryptOwl "You received a message encrypted with OMEMO but your client doesn't support OMEMO."
  44. CryptOwl I receive bis encrypted messages from his dino and conversations just fine.
  45. bot moppman created an issue in _gajim-plugins_ < https://dev.gajim.org/gajim/gajim-plugins/-/issues/505 >: #505: < [plugin_installer] TypeError: '<' not supported between instances of 'str' and 'Version' >
  46. Maranda May 19 13:12:14 mod_c2s debug Received invalid XML (XML or text declaration not at start of entity) 308 bytes: <?xml version='1.0'?><?xml version='1 https://conference.gajim.org:5281/pastebin/f4a4d0c7-ed14-4859-9ff2-c692fafcdee8
  47. Maranda huhu Gajim/nbxmpp malformed xml?
  48. Maranda huhu Gajim/nbxmpp sending malformed xml?
  49. bot André proposed a new merge request for _gajim-plugins/master_ < https://dev.gajim.org/gajim/gajim-plugins/-/merge_requests/197 >: [plugin_installer]: Fix version comparison
  50. bot Philipp Hörist pushed 1 commit to branch _refs/heads/master_ of _gajim-plugins_ < https://dev.gajim.org/gajim/gajim-plugins >: *0d6f8e69* < https://dev.gajim.org/gajim/gajim-plugins/-/commit/0d6f8e69569ea825ff342263179c7f1bfad29519 > [plugin_installer]: Fix version comparison Fixes #505.
  51. bot André closed an issue in _gajim-plugins_ < https://dev.gajim.org/gajim/gajim-plugins/-/issues/505 >: #505: < [plugin_installer] TypeError: '<' not supported between instances of 'str' and 'Version' >
  52. bot Philipp Hörist merged a merge request for _gajim-plugins/master_ < https://dev.gajim.org/gajim/gajim-plugins/-/merge_requests/197 >: [plugin_installer]: Fix version comparison
  53. lovetox did you do anything special Maranda ?
  54. lovetox does it happen on every connect?
  55. lovetox must be really edge case conditions, as i didnt change anything for a long time on this, and many people use master
  56. Maranda lovetox, didn't do anything, maybe gajim reconnected or resumed
  57. Maranda though not sure
  58. Maranda I catched it while I was tailing my servers' log
  59. bot Martin created an issue in _gajim_ < https://dev.gajim.org/gajim/gajim/-/issues/10115 >: #10115: < Improve "Subscription Request" dialog >
  60. wurstsalat thanks debacle!
  61. debacle wurstsalat, I hope the enhancement request is understandable